NCGG(6)

NAME
cgg - Code table translating utility

SYNOPSIS
~em/lib.bin/cgg [-c] [-d] [-v] table

DESCRIPTION
cgg translates a machine description table into the internal structures needed by em_cg. Flags recognized are:

-c  Write one of the largest arrays in binary form on the file code. The resulting code generator must be run in the same directory, but compile time of the code generator will be less. Useful during table debugging.

-d  Generate pseudo code for table debugging. This gives better information when the resulting code generator is run with the debug flag on. It also generates the file lineset that can be used as the bittable described under the -u option of em_ncg(6).

-v  Give statistics about table usage at end of program. Normally only the tables that have been used more than 75% are reported.

FILES
tables.H, tables.c
code    If the -c flag was given
lineset    If the -d flag was given

SEE ALSO
ack(1), em_ncg(6)
[1] A.S. Tanenbaum, Hans van Staveren, Ed Keizer and Johan Stevenson "Description of a machine architecture for use with block structured languages" Informatica report IR-81.
[2] Hans van Staveren "The table driven code generator from the Amsterdam Compiler Kit, Second revised edition"

AUTHOR
Hans van Staveren, Vrije Universiteit